# Mercury

ActivityPub server implementation (hopefully, eventually),
currently mostly a way for me to play around with writing an API server in TypeScript.

## Configuration

For now, check out `src/config.ts`, the names should be mostly self explanatory.
Consider all environment variables required.

## Development commands

- Building the server: `pnpm build`
- Migrating the database: `pnpm migrate`
- Watching for changes and reloading the server automatically: `pnpm dev`
- Formatting: `pnpm format`
- Linting (if you don't have an ESLint plugin): `pnpm format`

## License

Mercury is licensed under the GNU Affero General Public License, version 3 **only**.
